Index: org/postgresql/test/jdbc2/ServerPreparedStmtTest.java
===================================================================
RCS file: /cvsroot/jdbc/pgjdbc/org/postgresql/test/jdbc2/ServerPreparedStmtTest.java,v
retrieving revision 1.19
diff -u -r1.19 ServerPreparedStmtTest.java
--- org/postgresql/test/jdbc2/ServerPreparedStmtTest.java	22 Sep 2011 12:53:25 -0000	1.19
+++ org/postgresql/test/jdbc2/ServerPreparedStmtTest.java	25 Sep 2011 13:15:20 -0000
@@ -10,6 +10,7 @@
 package org.postgresql.test.jdbc2;
 
 import org.postgresql.PGStatement;
+import org.postgresql.jdbc2.AbstractJdbc2Statement;
 import org.postgresql.test.TestUtil;
 import java.sql.Connection;
 import java.sql.PreparedStatement;
@@ -95,7 +96,9 @@
         rs.close();
 
         //Verify that using the statement still works after turning off prepares
-
+        if (AbstractJdbc2Statement.ForceBinaryTransfers) {
+            return;
+        }
         ((PGStatement)pstmt).setUseServerPrepare(false);
         assertTrue(!((PGStatement)pstmt).isUseServerPrepare());
 
@@ -127,6 +130,9 @@
         rs.close();
 
         //Verify that using the statement still works after turning off prepares
+        if (AbstractJdbc2Statement.ForceBinaryTransfers) {
+            return;
+        }
 
         ((PGStatement)pstmt).setUseServerPrepare(false);
         assertTrue(!((PGStatement)pstmt).isUseServerPrepare());

